This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 707016 - Review Request: lua-dbi - Database interface library for Lua
Review Request: lua-dbi - Database interface library for Lua
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 551765
  Show dependency treegraph
 
Reported: 2011-05-23 14:59 EDT by Matěj Cepl
Modified: 2015-02-16 09:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 11:52:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
johan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2011-05-23 14:59:15 EDT
Spec URL: http://mcepl.fedorapeople.org/tmp/lua-dbi.spec
SRPM URL: http://repos.fedorapeople.org/repos/mcepl/prosody/epel-6/SRPMS/lua-dbi-0.5-1.el6.src.rpm
Description:
LuaDBI is a database interface library for Lua. It is designed to provide a
RDBMS agnostic API for handling database operations. LuaDBI also provides
support for prepared statement handles, placeholders and bind parameters for all
database operations.

Currently LuaDBI supports DB2, Oracle, MySQL, PostgreSQL and SQLite databases
with native database drivers.
Comment 1 Matěj Cepl 2011-05-23 15:40:34 EDT
Sorry, SRC RPM is http://mcepl.fedorapeople.org/rpms/lua-dbi-0.5-1.el6.src.rpm
Comment 2 Michel Alexandre Salim 2012-02-04 11:12:10 EST
(In reply to comment #0)
> Spec URL: http://mcepl.fedorapeople.org/tmp/lua-dbi.spec

I can extract the spec from the SRPM, but could you also re-upload it somewhere? It's no longer in tmp

Let me know if you still want to package this, and I'll do a review. Thanks!
Comment 3 Matěj Cepl 2012-02-04 15:01:25 EST
The latest SRPM is at http://repos.fedorapeople.org/repos/mcepl/prosody/epel-6/SRPMS/lua-dbi-0.5-1.el6.src.rpm I don't know what's wrong with SPEC from there, but just for your convenience it is now on http://mcepl.fedorapeople.org/tmp/lua-dbi.spec as well again.
Comment 4 Johan Cwiklinski 2012-03-06 17:28:01 EST
I'll take the review this week, if Michel Alexandre is no longer interested. Just a few notes for now:

- rpmlint is not clean :
lua-dbi.x86_64: E: non-standard-executable-perm /usr/lib64/lua/5.1/dbdpostgresql.so 0775L
lua-dbi.x86_64: E: non-standard-executable-perm /usr/lib64/lua/5.1/dbdmysql.so 0775L
lua-dbi.x86_64: E: non-standard-executable-perm /usr/lib64/lua/5.1/dbdsqlite3.so 0775L
- you probably should add lua requirement on the package ;)
Comment 5 Johan Cwiklinski 2012-05-06 05:50:20 EDT
Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ MUST: rpmlint must be run on every package. The output should be posted in
the review

Strangely, on my f-16, rpmlint seems clean on packages built with 'rpmbuild -ba' but is not with ones produced by mock.

$ rpmlint -i /var/lib/mock/fedora-16-x86_64/result/*.rpm
lua-dbi.x86_64: E: non-standard-executable-perm /usr/lib64/lua/5.1/dbdpostgresql.so 0775L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

lua-dbi.x86_64: E: non-standard-executable-perm /usr/lib64/lua/5.1/dbdmysql.so 0775L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

lua-dbi.x86_64: E: non-standard-executable-perm /usr/lib64/lua/5.1/dbdsqlite3.so 0775L
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

3 packages and 0 specfiles checked; 3 errors, 0 warnings.

+ MUST: package named according to the Package Naming Guidelines
changed from luadbi to lua-dbi to follow
https://fedoraproject.org/wiki/PackagingDrafts/Lua
+ MUST: The spec file name must match the base package %{name}
- MUST: The package must meet the Packaging Guidelines .
Per above mentioned Lua Packaging Guidelines spec file should contain

%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
Requires: lua(abi) = %{luaver}
%else
Requires: lua >= %{luaver}
%endif

+ MUST: The package licensed with a Fedora approved license and meets the
Licensing Guidelines
+ MUST: The License field in the package spec file matches the actual
license
MIT
+ MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
LICENSE is included.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
+ MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task
MD5: ede2b003aadddc151aac87050c3d926e
+ MUST: The package successfully compiles and builds into binary rpms on at
least one primary architecture - build in mock, no problems
0 MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch
+ MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines
Builds in mock
0 MUST: The spec file handles locales properly. This is done by using the
%find_lang macro
No locales are present.
0 MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
No libraries provided.
+ MUST: Packages must NOT bundle copies of system libraries
0 MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker
- MUST: Package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory

Missing explicit requirement of lua package (which owns %{luapkgdir} used by
package).

+ MUST: Package must not list a file more than once in the spec file's %files
listings
+ MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
+ MUST: Each package must consistently use macros
+ MUST: The package must contain code, or permissible content
0 MUST: Large documentation files must go in a -doc subpackage
+ MUST: If a package includes something as %doc, it must not affect the runtime
of the application
0 MUST: Header files must be in a -devel package
0 MUST: Static libraries must be in a -static package
0 MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package
0 MUST: devel packages must require the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built
0 MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section
+ MUST: Packages must not own files or directories already owned by other
packages
+ MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT)
+ MUST: All filenames in rpm packages must be valid UTF-8

You should also remove %{__mkdir} macros from the specfile.
Comment 6 Michel Alexandre Salim 2012-05-06 09:55:26 EDT
(In reply to comment #4)
> I'll take the review this week, if Michel Alexandre is no longer interested.

Apologies for dropping the ball -- had a very hectic February. Thanks for taking over!
Comment 7 Johan Cwiklinski 2012-05-16 01:13:19 EDT
Ping?

lua-dbi is a dependency for prosody package, I'm waiting the current review to be done so I can put prosody in the repositories :)

Could you please fix the few remaining issues, so we can achieve the review? Thanks!
Comment 8 Johan Cwiklinski 2012-06-06 01:26:27 EDT
ping?
Comment 9 Matěj Cepl 2012-06-23 04:11:35 EDT
(In reply to comment #8)
> ping?

Sorry, I missed that I have filed this bug. Err. The problem is that I don't want to maintain this package. I will certainly finish this review (and I am sorry I have missed this), but could you please take over maintaining of the package once it is done?

(In reply to comment #5)
> Legend: + = PASSED, - = FAILED, 0 = Not Applicable
> 
> + MUST: rpmlint must be run on every package. The output should be posted in
> the review
> 
> Strangely, on my f-16, rpmlint seems clean on packages built with 'rpmbuild
> -ba' but is not with ones produced by mock.

RPMs from http://koji.fedoraproject.org/koji/taskinfo?taskID=4190016 seem to be clean on my (more or less) F-17.

> - MUST: The package must meet the Packaging Guidelines .
> Per above mentioned Lua Packaging Guidelines spec file should contain
> 
> %if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
> Requires: lua(abi) = %{luaver}
> %else
> Requires: lua >= %{luaver}
> %endif

FIXED
 
> You should also remove %{__mkdir} macros from the specfile.

Done. Gosh, how could I overlook those ... I hate executed macros so much!

New koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=4190027
Comment 10 Johan Cwiklinski 2012-06-23 05:04:55 EDT
(In reply to comment #9)
> Sorry, I missed that I have filed this bug. Err. The problem is that I don't
> want to maintain this package. I will certainly finish this review (and I am
> sorry I have missed this), but could you please take over maintaining of the
> package once it is done?

Okay, no problem; I'll take the ownership of that package ;)

> New koji build at http://koji.fedoraproject.org/koji/taskinfo?taskID=4190027

Fixes have been done and rpmlint is clean on koji's RPMs :)

APPROVED!
Comment 11 Matěj Cepl 2012-06-23 09:34:28 EDT
New Package SCM Request
=======================
Package Name: lua-dbi
Short Description: Database interface library for Lua
Owners: trasher
Branches: f16 F17 el6
InitialCC: mcepl
Comment 12 Jon Ciesla 2012-06-23 11:38:55 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-06-23 14:03:40 EDT
lua-dbi-0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lua-dbi-0.5-2.fc17
Comment 14 Fedora Update System 2012-06-23 14:24:31 EDT
lua-dbi-0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lua-dbi-0.5-2.fc16
Comment 15 Fedora Update System 2012-06-23 14:32:04 EDT
lua-dbi-0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lua-dbi-0.5-2.el6
Comment 16 Fedora Update System 2012-06-25 09:32:50 EDT
lua-dbi-0.5-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 17 Fedora Update System 2012-07-03 11:52:08 EDT
lua-dbi-0.5-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-07-03 11:55:51 EDT
lua-dbi-0.5-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 19 Fedora Update System 2012-07-10 21:36:09 EDT
lua-dbi-0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Robert Scheck 2015-02-14 14:51:54 EST
Package Change Request
======================
Package Name: lua-dbi
New Branches: epel7
Owners: robert
Comment 21 Jon Ciesla 2015-02-16 09:19:48 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.